Package com.sas.lsaf.clinical.common

## Class ExportFileCreateInfo

- java.lang.Object
- - com.sas.lsaf.content.common.AbstractCreateInfo
  - - com.sas.lsaf.content.common.FileCreateInfo
    - - com.sas.lsaf.clinical.common.ExportFileCreateInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ExportFileCreateInfo
      extends FileCreateInfo

  This class represents the properties that can be set for a file when it is exported.
  Since:
    2.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExportFileCreateInfo​(java.lang.String path, SourceLocation location)` | Constructor.
    `ExportFileCreateInfo​(java.lang.String parentPath, java.lang.String name, SourceLocation location)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SourceLocation` | `getLocation()` | Gets the location of the file: the repository or the workspace.
    `void` | `setLocation​(SourceLocation location)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.content.common.FileCreateInfo

      `comment, customVersion, description, enableVersioning, enableVersioning, getComment, getCustomVersion, getVersionType, isEnableVersioning, isOverwrite, overwrite, overwrite, setComment, setCustomVersion, setEnableVersioning, setOverwrite, setVersionType, versionType`

    - ### Methods inherited from class com.sas.lsaf.content.common.AbstractCreateInfo

      `getDescription, getPath, setDescription`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExportFileCreateInfo

          public ExportFileCreateInfo​(java.lang.String parentPath,
                                      java.lang.String name,
                                      SourceLocation location)

      Constructor.
      Parameters:
        `parentPath` - The parent path in which to create the file.
        `name` - The name of the file to create.
        `location` - The location of the file: the repository or the workspace.

    - #### ExportFileCreateInfo

          public ExportFileCreateInfo​(java.lang.String path,
                                      SourceLocation location)

      Constructor.
      Parameters:
        `path` - The path defining where to create the file.
        `location` - The location of the file: the repository or the workspace.

  - ### Method Detail

    - #### getLocation

          public SourceLocation getLocation()

      Gets the location of the file: the repository or the workspace.
      Returns:
        The location of the file: the repository or the workspace.

    - #### setLocation

          public void setLocation​(SourceLocation location)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`